# define errors -1
# define no_errors 0

typedef struct                                                                                
{                                                                                             
	unsigned d0 : 1;                                                                      
	unsigned d1 : 1;                                                                      
	unsigned d2 : 1;                                                                      
	unsigned d3 : 1;                                                                      
	unsigned d4 : 1;                                                                      
	unsigned u1 : 1;                                                                      
	unsigned tape : 1;                                                                    
	unsigned u2 : 1;                                                                      

} KeybPortType;   

typedef struct                                                                                
{                                                                                             
	unsigned right  : 1;                                                                  
	unsigned left   : 1;                                                                  
	unsigned down   : 1;                                                                  
	unsigned up     : 1;                                                                  
	unsigned fire   : 1;                                                                  
	unsigned unused : 3;                                                                  
} KepmstonType;     

typedef union 
{
	unsigned char byte;
	KepmstonType bit;
} kempston_type;

int init (unsigned char *);
void GetWH(int*, int*);
void timerfunc(void);
int * getVM(void);

void FillKeybp( KeybPortType **pf7fe, KeybPortType  **pfbfe, KeybPortType  **pfdfe, KeybPortType  **pfefe, KeybPortType  **peffe, 
			   KeybPortType **pdffe, KeybPortType  **pbffe, KeybPortType  **psffe, kempston_type **k, int ** t);

char * ImagesDir();
void open_file(char *);

void reset_h(void);

void SaveZ80(char * path);

int GetScan();
void SetScan(int arg);
char * GetMode();
void * GetSoundBuffer(void);

unsigned long long GetCurrentTime1(void);

char * Get_audio_name(void);

void play(char * buffer, int len);
int init_card(char * audio_fil_name);

unsigned char * GetSM();
unsigned int * GetBV();

void Zamolchi(void);

int * GetTT();
int * GetSQT();
int * Get_LP();